﻿<AML>
 <Item type="Method" id="102E96B6192D420F8CDFB098DC1A29CD" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_bankstatement_deposit_edit
Created By		:		SolidCAD 
Creation Date:			2018-03-16
Description:
    When enter value of deposit,auto set "zero" to withdraw.
	
Hooks:
	Type:	ItemType	:	acc_BankStatementsDetail
	Event:	acc_deposit ( OnEditFinish )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();

var thisItem = parent.thisItem;
var child = thisItem.getItemsByXPath("//Item[@id = '" + relationshipID + "']").getItemByIndex(0);

var acc_bankstatement_balance_Index = gridApplet.GetColumnIndex("acc_bankstatement_balance_D");
var acc_deposit_Index = gridApplet.GetColumnIndex("acc_deposit_D");
var acc_withdraw_Index = gridApplet.GetColumnIndex("acc_withdraw_D");
var acc_deposit = child.getProperty("acc_deposit");
if (acc_deposit === "") {
    acc_deposit = "0";
    gridApplet.SetCellValue(relationshipID, acc_deposit_Index, acc_deposit);
    relitm.setProperty("acc_deposit", acc_deposit);
}
var f_acc_deposit = parseFloat(acc_deposit);
var acc_withdraw = child.getProperty("acc_withdraw");
var f_acc_withdraw = parseFloat(acc_withdraw);
var acc_bankstatement_balance = child.getProperty("acc_bankstatement_balance");
var f_acc_bankstatement_balance = parseFloat(acc_bankstatement_balance);


gridApplet.SetCellValue(relationshipID, acc_bankstatement_balance_Index, f_acc_deposit.toString());
child.setProperty("acc_bankstatement_balance", f_acc_deposit.toString());

gridApplet.SetCellValue(relationshipID, acc_withdraw_Index, "0.00");
child.setProperty("acc_withdraw", "0.00");]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_bankstatement_deposit_edit</name>
 </Item>
</AML>